> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergedata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Job



## OpenAPI

````yaml https://emerge-openapi-specs.s3.eu-central-1.amazonaws.com/query/1.21.0/openapi.json get /v1/job/{task_id}
openapi: 3.1.0
info:
  title: Emerge Query API
  description: >-
    Privacy-first API for retrieving consented user data. Query provides
    asynchronous and synchronous endpoints for accessing search, browsing,
    YouTube, ads, and receipt data.
  contact:
    name: Emerge Support
    email: account@emergedata.ai
  version: 1.21.0
servers:
  - url: https://query.emergedata.ai
    description: Query API - Data retrieval
security: []
tags:
  - name: Query Async
    description: Asynchronous data queries with job polling
  - name: Query Sync
    description: Synchronous data queries with immediate response
  - name: Jobs
    description: Job status and management
paths:
  /v1/job/{task_id}:
    get:
      tags:
        - Jobs
      summary: Job
      operationId: job_v1_job__task_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryJob'
              examples:
                default:
                  summary: Example response
                  value:
                    task_id: 82f80278-5e76-4d01-8f1d-b55e08f12a52
                    status: COMPLETED
                    url: >-
                      https://query-results.s3.amazonaws.com/82f80278-5e76-4d01-8f1d-b55e08f12a52.parquet
                    created_at: '2026-02-12T09:10:11Z'
                    expire_at: '2026-02-19T09:10:11Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                detail: Invalid token
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail: Job not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    QueryJob:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/JobStatus'
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        created_at:
          type: string
          format: date-time
          title: Created At
        expire_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expire At
      type: object
      title: QueryJob
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - RUNNING
        - COMPLETED
        - FAILED
      title: JobStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        API token from the Control Room. Include as `Authorization: Bearer
        <token>`
      scheme: bearer

````